namespace Telerik.Reporting.Examples.CSharp.WebFormsDemo
{
    using System;
    using Telerik.Reporting.Examples.CSharp;
    
	public partial class Default : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{
            if (!IsPostBack)
            {
                TypeReportSource reportSource = new TypeReportSource();
                reportSource.TypeName = typeof(Report1).AssemblyQualifiedName;
                reportSource.Parameters.Add("Parameter1", "New Value");
                this.ReportViewer1.ReportSource = reportSource;
            }
		}
	}
}